﻿using Falcon.SugarApi.Encryption;

namespace Falcon.SugarApi.ClaimTicket
{
    /// <summary>
    /// 票据系统配置
    /// </summary>
    public class ClaimTicketOptions
    {
        /// <summary>
        /// 加密键
        /// </summary>
        public string EncryptionKey { get; set; } = "E9319792CB7249AD8E432000E9F2FE7A";
        /// <summary>
        /// http头票据key
        /// </summary>
        public string HttpHeaderKey { get; set; } = "_authUserTicket";
        /// <summary>
        /// 安全加密组件
        /// </summary>
        public IEncryption Encryption { get; set; }
        /// <summary>
        /// 序列化组件
        /// </summary>
        public ISerialize JsonSerialize { get; set; }
    }
}
